{
    "fields": [
        {
            "doc": "Individual identifier",
            "name": "id",
            "type": "string"
        },
        {
            "default": null,
            "name": "family",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "name": "father",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "name": "mother",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "name": "sex",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "name": "phenotype",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": [],
            "name": "samples",
            "type": {
                "items": {
                    "fields": [
                        {
                            "doc": "Sample identifier",
                            "name": "id",
                            "type": "string"
                        },
                        {
                            "default": {},
                            "doc": "Sample annotations stored in a map of attributes according to the format:\n         attribute_name[:x] where x defines the attribute type, its valid values are:\n             n for numeric (i = integer, f = float)\n             s for string\n             b for boolean\n\n         e.g. age:n, population:s, height:n, weight, risk factors, secondary conditions,...",
                            "name": "annotations",
                            "type": {
                                "type": "map",
                                "values": "string"
                            }
                        }
                    ],
                    "name": "Sample",
                    "type": "record"
                },
                "type": "array"
            }
        }
    ],
    "name": "Individual",
    "namespace": "org.opencb.biodata.models.metadata",
    "type": "record"
}